Table of Contents

Class: Win2kMetricsCollector | Twisted-0.17.4/twisted/metrics/osmetrics.py
--- | ---

collects stats using the PdH interaface on win2K. This module is single-threaded python - logging occurs in the background, but there is only a single python thread in use.

Base Classes |
--- | ---
MetricsCollector

Methods |
--- | ---
__del__ __init__ getCPU getConnections getMemory getProcesses getSyscalls update
| __del__

    __del__ ( self )

| __init__

    __init__ (
            self,
            reportFrequency,
            hostname,
            port,
            )

| getCPU

    getCPU ( self )

| getConnections

    getConnections ( self )

| getMemory

    getMemory ( self )

| getProcesses

    getProcesses ( self )

| getSyscalls

    getSyscalls ( self )

| update

    update ( self )

this should be called periodically to collect stats.

Table of Contents

This document was automatically generated on Sat Apr 20 01:32:11 2002 by HappyDoc version 2.0